Subject: Ticket Assigned - Click & Collect
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 19 Feb 2021 03:26:47 +0000 (UTC)

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Click & Collect Hi Good morning,

Until now I did not receive my order, I call the call center yesterday they informed me that my order in going out form the warehouse to oasis mall where Im going to pick it up.
 just now I called again the operator informed me that there is a delay.

please this is not good, im NOT HAPPY with your service.

my order no. 9635355657
my name Thomas Nuguid
Mobile no. 05643053128

Please do something on this https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2108210